Show / Hide Table of Contents

# AsyncMoveTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncMoveTrigger : AsyncTriggerBase<AxisEventData>, IUniTaskAsyncEnumerable<AxisEventData>, IMoveHandler

##### Inheritance

System.Object → AsyncTriggerBase<AxisEventData> → AsyncMoveTrigger

##### Implements

IUniTaskAsyncEnumerable<AxisEventData>
IMoveHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnMoveAsyncHandler() |
GetOnMoveAsyncHandler(CancellationToken) |
OnMoveAsync() |
OnMoveAsync(CancellationToken) |

### Methods

#### GetOnMoveAsyncHandler()

    public IAsyncOnMoveHandler GetOnMoveAsyncHandler()

##### Returns

IAsyncOnMoveHandler

#### GetOnMoveAsyncHandler(CancellationToken)

    public IAsyncOnMoveHandler GetOnMoveAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnMoveHandler

#### OnMoveAsync()

    public UniTask<AxisEventData> OnMoveAsync()

##### Returns

UniTask<AxisEventData>

#### OnMoveAsync(CancellationToken)

    public UniTask<AxisEventData> OnMoveAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<AxisEventData>

### Implements

IUniTaskAsyncEnumerable<T>
IMoveHandler